<template>
  <div class="ProductForm">
    <div class="title">免费试用产品</div>

    <el-table :data="formData" stripe>
      <el-table-column
        prop="version"
        label="产品版本"
        width="350"
        class-name="name"
      >
      </el-table-column>

      <el-table-column
        prop="time"
        label="更新时间"
        width="350"
        class-name="name"
      >
      </el-table-column>

      <el-table-column
        prop="des"
        label="更新说明"
        width="350"
        class-name="name"
      >
      </el-table-column>

      <el-table-column label="操作">
        <template slot-scope="scope">
          <span class="iconfont download" @click="download(scope.row)"
            >&#xe624;</span
          >
        </template>
      </el-table-column>
    </el-table>
  </div>
</template>

<script>
export default {
  data() {
    return {
      formData: [
        {
          version: "AIOS试用版2.1.1",
          time: "2021-09-01 12:34",
          des: "优化了解码的bug",
        },
        {
          version: "AIOS试用版2.1.1",
          time: "2021-09-01 12:34",
          des: "优化了解码的bug",
        },
        {
          version: "AIOS试用版2.1.1",
          time: "2021-09-01 12:34",
          des: "优化了解码的bug",
        },
        {
          version: "AIOS试用版2.1.1",
          time: "2021-09-01 12:34",
          des: "优化了解码的bug",
        },
        {
          version: "AIOS试用版2.1.1",
          time: "2021-09-01 12:34",
          des: "优化了解码的bug",
        },
      ],
    };
  },
  methods: {
    download() {},
  },
};
</script>

<style lang="scss" scoped>
.ProductForm {
  overflow: hidden;
  background-color: #fff;

  .title {
    margin-top: 158px;
    margin-bottom: 40px;
    text-align: center;
    font-size: 28px;
  }

  .el-table ::v-deep {
    margin: 0 auto;
    margin-bottom: 120px;
    width: 1280px;
    background-color: rgb(233, 235, 238);
    padding: 1px;

    &::after {
      display: none;
    }

    .name .cell {
      padding-left: 60px;
      padding-right: 4px;
    }

    .has-gutter tr th {
      background: #f0f3f5;
      font-size: 16px;
      color: #3d3d3d;
      font-weight: 700;
    }

    td .cell {
      color: #3d3d3d;
    }

    tr:hover > td.el-table__cell {
      background-color: #fff;
    }

    .el-table__row--striped .el-table__cell {
      background-color: #f0f5fa !important;
    }

    .download {
      cursor: pointer;
      font-size: 28px;
      color: #0065ff;
    }
  }
}
</style>